Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ContractObjectType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.EntitySpec
ru.bitel.bgbilling.kernel.contract.object.common.bean.ContractObjectType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractObjectType extends EntitySpec

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ContractObjectType.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractObjectType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractObjectType.Builder`
  `builder()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntitySpec

  `builderEntitySpec, createEntityTitle, createEntityTitle, getAttributeList, getComment, getEntitySpecTypeId, getEntityTitleMacros, getModuleIds, isHidden, setAttributeList, setComment, setEntitySpecTypeId, setEntityTitleMacros, setHidden, setModuleIds, toEntitySpecDTO`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractObjectType

    public ContractObjectType()

- ## Method Details

  - ### builder

    public static ContractObjectType.Builder builder()